#### DISPA

#### Synopsis

    HELP:   (HOST) Close disposition for abnormal end [DELETE]
    TYPE:   NUMBER
    SYNTAX: DISPA/DISPABNORMAL=CATALOG/CATLG/DELETE/KEEP/UNCATALOG/UNCATLG

#### Description

Abnormal termination disposition (JCL) of FLAMFILE (z/OS only).

The DISP parameter is part of the DD card in JCL.

JCL-Syntax restrictions for FLAMv4 or older:

       DISP= [ status ]
       DISP=([ status ] [normal-termination-disp] [,abnormal-termination-disp])
       DISP=([ NEW    ] [,DELETE                ] [,DELETE                   ])
       DISP=([ OLD    ] [,KEEP                  ] [,KEEP                     ])
       DISP=([ SHR    ] [,PASS                  ] [,CATLG                    ])
       DISP=([ MOD    ] [,CATLG                 ] [,UNCATLG                  ])
       DISP=([,       ] [,UNCATLG               ])

See also parameters DISPS and DISPN.

This parameter is ignored when the FLAMFILE is allocated via JCL.

- z/OS
  - `DISPA=CATLG/DELETE/KEEP/UNCATLG`

Values

- z/OS
  - `CATLG` - catalog
  - `DELETE` - delete
  - `KEEP` - keep
  - `UNCATLG` - uncatalog

Default

- z/OS
  - none

Valid for

- compression
- decompression

#### Selections

- `CATALOG - Close disposition catalog`
- `CATLG - Close disposition catalog`
- `DELETE - Close disposition delete`
- `KEEP - Close disposition keep`
- `UNCATALOG - Close disposition uncatalog`
- `UNCATLG - Close disposition uncatalog`